SystemOrganization addCategory: #'EjerciciosPoo-TusLibros'!

Object subclass: #Cart
	instanceVariableNames: 'id contents'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EjerciciosPoo-TusLibros'!

!Cart class methodsFor: 'as yet unclassified' stamp: 'RavasiAronson 6/11/2012 21:47'!
withId: aNumber

	 ^((Cart new) setId: aNumber) setContents: LinkedList new.! !

!Cart methodsFor: 'as yet unclassified' stamp: 'RavasiAronson 6/11/2012 21:49'!
setContents: aContentsCollection
	
	contents := aContentsCollection.! !

!Cart methodsFor: 'as yet unclassified' stamp: 'RavasiAronson 6/11/2012 21:58'!
setId: aNumber 
	
	id := aNumber ! !

Object subclass: #Marketplace
	instanceVariableNames: 'carts catalogue'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EjerciciosPoo-TusLibros'!

!Marketplace class methodsFor: 'as yet unclassified' stamp: 'RavasiAronson 6/11/2012 21:59'!
withBooks: aCollectionOfBooks

	^((Marketplace new) setBooks: aCollectionOfBooks) setCarts: OrderedCollection new.! !

!Marketplace methodsFor: 'managing carts' stamp: 'RavasiAronson 6/11/2012 21:56'!
createCart
	|id cart|
	
	id := carts size.
	
	cart:= Cart withId: id.
	
	carts add: cart.! !

!Marketplace methodsFor: 'as yet unclassified' stamp: 'RavasiAronson 6/11/2012 21:59'!
listContents
	self shouldBeImplemented.! !

!Marketplace methodsFor: 'as yet unclassified' stamp: 'RavasiAronson 6/11/2012 21:58'!
setBooks: aCollectionOfBooks  
	
	catalogue  := aCollectionOfBooks.! !

!Marketplace methodsFor: 'as yet unclassified' stamp: 'RavasiAronson 6/11/2012 21:49'!
setCarts: aCollectionOfCarts

	carts := aCollectionOfCarts.! !

TestCase subclass: #TusLibrosTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EjerciciosPoo-TusLibros'!

!TusLibrosTest methodsFor: 'as yet unclassified' stamp: 'RavasiAronson 6/11/2012 22:00'!
test01CartsAreCreatedEmpty

	|marketplace cart|

	marketplace := Marketplace withBooks: nil.
	
	cart := marketplace createCart.
	
	self assert: (cart listContents isEmpty).! !
